Memory Stores
Create a memory item
Creates a memory item in the specified memory store.
Parametri di intestazione
Foundry-Features
enum
necessario
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Parametri del percorso
name
string
necessario
The name of the memory store.
Parametri di query
api-version
string
necessario
The API version to use for this operation.
Corpo della richiesta
scope
string
necessario
The namespace that logically groups and isolates memories, such as a user ID.
content
string
necessario
The content of the memory.
kind
string | enum
necessario
Memory item kind.
enum
Risposte
The request has succeeded.
Corpo
user_profile
UserProfileMemoryItem
A memory item specifically containing user profile information extracted from conversations, such as preferences, interests, and personal details.
kind
enum
necessario
The kind of the memory item.
chat_summary
ChatSummaryMemoryItem
A memory item containing a summary extracted from conversations.
kind
enum
necessario
The kind of the memory item.
procedural
ProceduralMemoryItem
A memory item containing a procedure extracted from conversations.
kind
enum
necessario
The kind of the memory item.
Richiedi
POST /memory_stores/{name}/items HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json